#### CHAR

#### Synopsis

    HELP:   Write character data to memory
    TYPE:   OBJECT
    SYNTAX: CHAR(CCSID='str'/DEFAULT/ASCII/EBCDIC/SYSTEM/LOCAL,CASE=UPPER/LOWER/FOLD/SUPPER/SLOWER/USRTAB,BOM,KEPBOM,CHRMODE=STOP/IGNORE/SUBSTITUTE/IDENTITY/TRANSLIT,ELF2NL,SUBCHAR[num/SYSTEM...],SYSTABLE=ICONV,USRTABLE='str'/NPAS/SEPA/DELA/DLAX,ONEMAP,REPORTFILE='str'/STDOUT/STDERR,COMBINED=NFD/NFC/AUTO/ON/OFF,COMPRESS/CMP.{},ENCRYPT/ENC.{},ENCODE/COD.{},TABLE(),AVSCAN())

#### Description

Format char simply concatenate the block elements and does character conversion from UTF-8 to the default or provided character set.

During the character conversion it supports:

- Stop, ignore or substitution of invalid or incomplete character
- A free defined substitution character list
- Different system substitution / transliteration tables
- A user defined substitution table to change the system tables
- Case management (upper, lower, folding and special casing)
- Transliteration between subsets (mapping) and normalization
- BOM management and automatic detection of char sets
- Reporting of ignored or substituted characters
- Auto detection of charsets

#### Arguments

- `SWITCH: KEPBOM - Keep byte order mark for faster conversion`